Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.xpath
Class XPathToQueryTranslator.RelativePathLikeExpressions

    java.lang.Object
      org.modeshape.jcr.query.xpath.XPathToQueryTranslator.RelativePathLikeExpressions

All Implemented Interfaces:
  Iterable<String>

Enclosing class:
  XPathToQueryTranslator

    protected static class XPathToQueryTranslator.RelativePathLikeExpressions

extends Object
implements Iterable<String>

Field Summary
`protected int` | `depth`
`protected XPathToQueryTranslator.DepthMode` | `depthMode`
`protected List<String>` | `paths`

Constructor Summary
`protected` | `XPathToQueryTranslator.RelativePathLikeExpressions()`
`protected` | `XPathToQueryTranslator.RelativePathLikeExpressions(String[] paths, int depth, XPathToQueryTranslator.DepthMode depthMode)`

Method Summary
`protected boolean` | `isEmpty()`
`Iterator<String>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paths

    protected final List<String> paths

### depth

    protected final int depth

### depthMode

    protected final XPathToQueryTranslator.DepthMode depthMode

Constructor Detail

### XPathToQueryTranslator.RelativePathLikeExpressions

    protected XPathToQueryTranslator.RelativePathLikeExpressions()

### XPathToQueryTranslator.RelativePathLikeExpressions

    protected XPathToQueryTranslator.RelativePathLikeExpressions(String[] paths,
                                                                 int depth,
                                                                 XPathToQueryTranslator.DepthMode depthMode)

Method Detail

### isEmpty

    protected boolean isEmpty()

### iterator

    public Iterator<String> iterator()

  Specified by:
    `iterator` in interface `Iterable<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.